This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 891821 (CVE-2013-0762, CVE-2013-0766, CVE-2013-0767)

Summary: CVE-2013-0762 CVE-2013-0766 CVE-2013-0767 Mozilla: Use-after-free and buffer overflow issues found using Address Sanitizer (MFSA 2013-02)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, jhorak, jrusnack, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20130108,reported=20130104,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected,cwe=(CWE-416|CWE-119)
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 12:25:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 890133    

Description Huzaifa S. Sidhpurwala 2013-01-04 00:12:56 EST
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team discovered a series critically rated of use-after-free, out of bounds read, and buffer overflow issues using the Address Sanitizer tool in shipped software. These issues are potentially exploitable, allowing for remote code execution. We would also like to thank Abhishek for reporting three additional user-after-free and out of bounds read flaws introduced during Firefox development that were fixed before general release.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.

The following issues were fixed in Firefox 18, ESR 17.0.1, and ESR 10.0.12:

    Heap-use-after-free in imgRequest::OnStopFrame (CVE-2013-0762)
    Heap-use-after-free in ~nsHTMLEditRules (CVE-2013-0766)
    Out of bounds read in nsSVGPathElement::GetPathLengthScale (CVE-2013-0767)


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-02.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.
Comment 1 errata-xmlrpc 2013-01-08 16:17:04 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0145 https://rhn.redhat.com/errata/RHSA-2013-0145.html
Comment 2 errata-xmlrpc 2013-01-08 16:38:57 EST
This issue has been addressed in following products:

   Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0144 https://rhn.redhat.com/errata/RHSA-2013-0144.html